// This is a generic ArrayDelegate defining its class methods.

@interface JWArrayDelegate : NSObject
{
}
- (BOOL)		JWTableViewArrayAddEntry:(JWTableViewArray *) tv;
- (void)		JWTableViewArrayChanged:(JWTableViewArray *) tv;
- (void)		JWTableViewArraySelectionDidChange:(JWTableViewArray *) tv;
- (NSString *)	JWTableViewArray:(JWTableViewArray *) tv addEntryError: (id) entry;
- (NSString *)	JWTableViewArray:(JWTableViewArray *) tv editEntryError: (id) entry oldEntry: (id) oldEntry;
- (void)		JWTableViewArray:(JWTableViewArray *) tv editEntryAtIndex: (int) index;
- (void)		JWTableViewArray:(JWTableViewArray *) tv editedEntry: (id) entry newEntry: (id) newEntry;
- (NSString *)	JWTableViewArray:(JWTableViewArray *) tv toolTipForCell:(NSCell *)aCell rect:(NSRectPointer)rect tableColumn:(NSTableColumn *)aTableColumn row:(int)row mouseLocation:(NSPoint)mouseLocation;
- (void)		JWTableViewArray:(JWTableViewArray *) tv willDisplayCell:(id)cell forTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex;
- (BOOL)		JWTableViewArray:(JWTableViewArray *) tv acceptDrop:(id < NSDraggingInfo >)info row:(int)row dropOperation:(NSTableViewDropOperation)operation;
- (BOOL)		JWTableViewArray:(JWTableViewArray *) tv writeRowsWithIndexes:(NSIndexSet *)rowIndexes toPasteboard:(NSPasteboard *)pboard;
- (BOOL)		JWTableViewArray:(JWTableViewArray *) tv validateDrop:(id < NSDraggingInfo >)info proposedRow:(int)row proposedDropOperation:(NSTableViewDropOperation)operation;
@end